package com.ruoyi.project.sems.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 审批附件对象 t_approver_file
 *
 * @author ruoyi
 * @date 2021-08-08
 */

@TableName("T_APPROVER_FILE")
public class TApproverFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId
    private Long id;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;

    /** 文件url */
    @Excel(name = "文件url")
    private String fileUrl;

    /** 文件类型 1:附件 2：回执 */
    @Excel(name = "文件类型 1:附件 2：回执")
    private Long fileType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setFileType(Long fileType)
    {
        this.fileType = fileType;
    }

    public Long getFileType()
    {
        return fileType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("approveId", getApproveId())
            .append("fileName", getFileName())
            .append("fileUrl", getFileUrl())
            .append("createTime", getCreateTime())
            .append("fileType", getFileType())
            .toString();
    }
}
